#include <bits/stdc++.h>

using namespace std;

int x1,y1,x2,y2;

int main()
{
    scanf("%d %d %d %d",&x1,&y1,&x2,&y2);
    if(x1==x2)
    {
        printf("2\n");
    }
    else
    {
        if(y1==y2)
        {
            printf("2\n");
        }
        else
        {
            printf("1\n");
        }
    }
    return 0;
}